using MySql.Data.MySqlClient;
using System.Data;

namespace Robware.Mailboxes.Data {
	public class MySQLDatabaseProvider : IDatabaseProvider {
		private readonly string _connectionString;

		public MySQLDatabaseProvider(string connectionString) => _connectionString = connectionString;

		public IDbConnection NewConnection() => new MySqlConnection(_connectionString);
	}
}